---
title: WebSocket.onclose
slug: Web/API/WebSocket/onclose
tags:
  - API
  - Property
  - Reference
  - Web API
  - WebSocket
---
<p>{{APIRef("Web Sockets API")}}</p>

<p>The <code><strong>WebSocket.onclose</strong></code> property is an {{domxref("EventHandler")}} that is called when the WebSocket connection's {{domxref("WebSocket.readyState","readyState")}} changes to {{domxref("WebSocket.readyState","CLOSED")}}. It is called with a {{domxref("CloseEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>aWebSocket</em>.onclose = function(event) {
  console.log("WebSocket is closed now.");
};</pre>

<h2 id="Value">Value</h2>

<p>An {{domxref("EventListener")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#handler-websocket-onclose', 'WebSocket: onclose')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
